<template>
  <section class="title-screen">
    <div class="light">
      <img class="avatar" src="~/static/avatar/sun_2.png" />
    </div>
    <div class="shadow">
      <img class="avatar" src="~/static/avatar/shadow.png" />
    </div>
    <div class="overlay">
      <h1 class="game-title">
        Between Light and Shadow
      </h1>
      Created by
      <ul>
        <li>Bene</li>
        <li>Jakob</li>
        <li>Mai (<a href="https://dasmaichen.de">dasMaichen</a>)</li>
        <li>Roland (<a href="https://rohieb.name">rohieb</a>)</li>
        <li>Saskia</li>
        <li>Steffi</li>
        <li>Winnie (<a href="https://winniehell.de">winniehell</a>)</li>
      </ul>
      for
      <a href="https://ldjam.com/events/ludum-dare/44/$153862/"
        >Ludum Dare 44</a
      >
      <div class="overlay-actions">
        <router-link
          tag="button"
          class="btn"
          type="button"
          autofocus
          to="/light-world"
        >
          Start Game
        </router-link>
      </div>
    </div>
  </section>
</template>

<script>
import { createNamespacedHelpers } from 'vuex'

const storeModules = {
  map: createNamespacedHelpers('map')
}

export default {
  mounted() {
    this.setMapFilePath(null)
    this.setMapData(null)
  },

  methods: {
    ...storeModules.map.mapActions(['setMapFilePath', 'setMapData'])
  }
}
</script>

<style>
.index.layout-container > .game-title {
  display: none;
}

.title-screen {
  display: flex;
  align-items: stretch;
  width: 100vw;
  height: 100vh;
}

.title-screen .game-title {
  padding-right: 38px;
}

.title-screen ul {
  padding: 24px;
}

.title-screen .light {
  background-color: #f4ffdb;
  flex: 1;
}

.title-screen .shadow {
  background-color: #321452;
  flex: 1;
}

.title-screen .overlay {
  left: 50%;
  margin-left: -300px;
  width: 600px;
  top: 50%;
  margin-top: -300px;
  height: 400px;
  padding: 32px;
}

.title-screen .avatar {
  position: absolute;
  bottom: 0;
  top: 0;
  max-height: 150vh;
}

.title-screen .light .avatar {
  left: 0;
}

.title-screen .shadow .avatar {
  right: 0;
}

.make-it-look-nice {
  display: block;
  width: 12px;
}
</style>
